unit Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, JvExControls, JvComCtrls, JvLabel,
  Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    JvLblInstructions: TJvLabel;
    JvIPAddress: TJvIPAddress;
    btnIPInfo: TButton;
    lblJvIPAddressAddressHeader: TLabel;
    lblJvIPAddressValuesAddressHeader: TLabel;
    lblJvIPAddressValuesValue1Header: TLabel;
    lblJvIPAddressValuesValue2Header: TLabel;
    lblJvIPAddressValuesValue3Header: TLabel;
    lblJvIPAddressValuesValue4Header: TLabel;
    lblJvIPAddressAddress: TLabel;
    lblJvIPAddressValuesAddress: TLabel;
    lblJvIPAddressValuesValue1: TLabel;
    lblJvIPAddressValuesValue2: TLabel;
    lblJvIPAddressValuesValue3: TLabel;
    lblJvIPAddressValuesValue4: TLabel;
    procedure btnIPInfoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnIPInfoClick(Sender: TObject);
begin
  with JvIPAddress do
    begin
      lblJvIPAddressAddress.Caption := IntToStr(Address);
      lblJvIPAddressValuesAddress.Caption := IntToStr(AddressValues.Address);
      lblJvIPAddressValuesValue1.Caption := IntToStr(AddressValues.Value1);
      lblJvIPAddressValuesValue2.Caption := IntToStr(AddressValues.Value2);
      lblJvIPAddressValuesValue3.Caption := IntToStr(AddressValues.Value3);
      lblJvIPAddressValuesValue4.Caption := IntToStr(AddressValues.Value4);
    end { with..do }
end;

end.
